Pterodactyldocs
Client server network

Set allocation note

Sets a note for the allocation

Fields

NameRequired?TypeDescriptionRules
notesrequiredstringNote for allocation
POST/api/client/servers/{server}/network/allocations/{allocation}

Authorization

ClientToken
AuthorizationBearer <token>

Client API key (generated at /account/api)

In: header

Path Parameters

server*string

Server identifier (short 8-character ID)

allocation*integer

Allocation ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/1a7ce997/network/allocations/1" \  -H "Content-Type: application/json" \  -d '{    "notes": "Votifier"  }'
{  "object": "allocation",  "attributes": {    "id": 2,    "ip": "45.86.168.218",    "ip_alias": null,    "port": 25566,    "notes": "Votifier",    "is_default": false  }}